
 LinHES - Bug # 196: password vulnerability in R6's service menu

Status: Closed Priority: Normal
Author: graysky Category:
Created: 02/17/2009 Assignee: jams
Updated: 12/25/2011 Due date: 12/31/1969
Description: Upon exploring the service menu in R6 (service menu>linhes>password), I noticed that anyone can change 

my root password as well as passwords for other users from the Password section.

History
02/17/2009 11:46 pm - tjc
The relationship with issue 111 is mostly circumstantial, but there's probably a fair amount of synergy in the possible resolutions...

02/19/2009 10:46 pm - tjc
Looks like these screens can be made inaccessible.  I'll test that shortly and if so this can be closed.  Possibly we should do this automatically after the 
initial setup is complete to prevent mischief...

02/19/2009 11:44 pm - tjc
Disabling these in the Access screen does block the use of the Password and Web security screens, but it's very weak protection since you can simply 
go back into the Access screen and enable them again.  Kind of like "locking" your house with a 6" piece of duct tape stuck from the door knob to the 
door jamb. ;-)

02/21/2009 03:48 am - graysky
Ha!  You mean I should stop using duct tape to lock my door?!  Anyway, can the permissions on the underlying scripts be changed so that only root can 
access them + hiding them in the menu after the initial run?

12/25/2011 03:05 pm - jams
- Target version changed from 7.2 to 6.00.04
